<button id="red">Pilule rouge</button> <button id="blue">Pilule bleue</button>
<div id="result"></div>
<script>

var red = document.querySelector('#red');
var blue = document.querySelector('#blue');
var result = document.querySelector('#result');

function bet() {
  var value = Math.random();
  console.log(value);
  return new Promise((accept, reject) => {
    red.addEventListener('click', (event) => {
      if (value < .5) accept();
      else reject();
    });
    blue.addEventListener('click', (event) => {
      if (value < .5) reject();
      else accept();
    });
  })
}

var b = bet();
b.then(() => {
  result.innerText = 'Gagné';
}, () => {
  result.innerText = 'Perdu';
});

</script>

